%define anolis_release 2
Summary: X.Org X11 libXss runtime library
Name: libXScrnSaver
Version: 1.2.4
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(scrnsaverproto) >= 1.2
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xextproto)

%description
X.Org X11 libXss runtime library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 libXScrnSaver development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXss development package

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static
%make_build

%install
%make_install

%files
%license COPYING
%{_libdir}/libXss.so.1
%{_libdir}/libXss.so.1.0.0

%files doc
%doc ChangeLog README.md

%files devel
%{_libdir}/libXss.so
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_mandir}/man3/*.3*
%{_includedir}/X11/extensions/scrnsaver.h

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.2.4-2
- Rebuild for remove inappropriate build dependencies.

* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 1.2.4-1
- New version 1.2.4

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.3-1
- Init from upstream version 1.2.3

